package com.willalp.yiqing.domain.vo;

import lombok.Data;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Component
@Data
public class HomeDataVo {

    private static final long serialVersionUID = 1L;

    List<String> dateList = new ArrayList<>(30);

    Map<String, List<Integer>> count = new HashMap<String, List<Integer>>(30);

    Map<String, Integer> itemCount = new HashMap<String, Integer>(3);

    public void clear() {
        dateList = new ArrayList<>(30);
        count = new HashMap<>(30);
        itemCount = new HashMap<>(3);
    }
}
